#
# hosts.awk	Given the current domain name and a set of domain records
#		from things inside that domain, print just the portions
#		of the domains that is one domain level beyond that of
#		the first domain.  The domains after the first line don't
#		have to fall within the first line's domain.
#
#	Example input:	nau.edu.
#			naucse.cse.nau.edu.
#			a.b.cs.arizona.edu.
#	Example output:	cse.nau.edu.
#			cs.arizona.edu.
#
# By Paul Balyoz <pab@rainbow.cse.nau.edu>
#

BEGIN { firstline=1; }

# Print any domain lines that are one level below current domain.

firstline==0 {
	num = split ($0,f,".");
	if (num > currentlevel) {
		str = "";
		for(i=num-currentlevel; i<=num; i++) {
			str = str"."f[i];
		}
		print substr(str,2,length(str));
	}
}

# The first line contains the current domain name, count how many fields
# it has for reference in the code above.

firstline==1 {
	currentlevel = split($0,f,".");
	firstline = 0;
}

END { exit 0; }
